summaryrefslogtreecommitdiff
path: root/dev-ml
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ml')
-rw-r--r--dev-ml/pcre-ocaml/Manifest1
-rw-r--r--dev-ml/pcre-ocaml/pcre-ocaml-7.3.3.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/dev-ml/pcre-ocaml/Manifest b/dev-ml/pcre-ocaml/Manifest
index 948423720aa..2ba402bbaeb 100644
--- a/dev-ml/pcre-ocaml/Manifest
+++ b/dev-ml/pcre-ocaml/Manifest
@@ -1,3 +1,4 @@
DIST pcre-ocaml-7.2.3.tar.gz 88307 SHA256 6339694dbeb706c5097180ed1d79b2dae681bf155a4780a7909af49b0e6f4666 SHA512 3df4bdbbed5e1ecf4bdf15fc461f2ea65e1556af9c1683e194c8824e21da5274dd80c22c1f6676fca203305ec4244d47e09f0ef8c601bfa95f7237bb07c1ee65 WHIRLPOOL 5835811cc1aecfffa9a49704db545ff20a30089ad7bb2b9394cf20dc9c657b0f102d12e48c8eaab9d8e95eee3ca756b60a17e1715e0aca05b7a9665d6dcc558f
DIST pcre-ocaml-7.3.0.tbz 38126 SHA256 c34af191868266d2919962b53a3a7321a7b1fb0a5619c779e2188c6daa164546 SHA512 bf2a5d188183a7f73d5a7eace98f225165e6b50828b061649e88922ca4d4705022551bce15b9b8319fc91734c77ee48182677cdb1abd754ae44c6f9412bd11e3 WHIRLPOOL 48160bf6e53a56710da6842931a171a48d8374cb547e1366f528c0eb58c55c863a47d87b13d0cc9db6aa9fc2821cbbe51c4ff6bdbeef9b0bdcb1d406d5f7b23e
DIST pcre-ocaml-7.3.2.tbz 38445 SHA256 a5d35c9998b6cb9ead1b1c5bb4ad88120c7bbffa26b1cfbf9135fa0a4c298854 SHA512 727b129172c8c119fcb0d4ae249a3842109e3b9ab412e674af156e7bcdf0fce0bcb9561cbfe52d99002a668f0e5f145fa54d052b67a5c2eb30a1881ad4217767 WHIRLPOOL d342aac7b2d707c4458b1256cfc4400bfee4c314fc9f7dccf852ab958b5e1b872823967538d63fd5389f822bf1ba9c658f70532cdb3a82ca1d01856cf40fa73d
+DIST pcre-ocaml-7.3.3.tbz 38412 SHA256 57c92741ed04cc52ad80f2e2f248dfd2c7b39c7678422f1a36fd1e6955cd4b8a SHA512 569e323dea83f33212a2aa9482e55f7491c8f83382fad13dfaf9fe624307ca261baf255db7c5837e1c6b5c64445daf05b64b9929cbd6d311d06278826bb788e3 WHIRLPOOL 949f7703b565eef49117d9a3dc2821cac3d0e0dacde5f5f1f65ee927068c7907083662156eda57f5ddcda9eecc7e181d775c7c7990d01fc98d0c5a5f68e5d18f
diff --git a/dev-ml/pcre-ocaml/pcre-ocaml-7.3.3.ebuild b/dev-ml/pcre-ocaml/pcre-ocaml-7.3.3.ebuild
new file mode 100644
index 00000000000..869d45b107c
--- /dev/null
+++ b/dev-ml/pcre-ocaml/pcre-ocaml-7.3.3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+
+inherit opam
+
+DESCRIPTION="Perl Compatibility Regular Expressions for O'Caml"
+HOMEPAGE="http://mmottl.github.io/pcre-ocaml/ https://github.com/mmottl/pcre-ocaml"
+SRC_URI="https://github.com/mmottl/pcre-ocaml/releases/download/${PV}/pcre-${PV}.tbz -> ${P}.tbz"
+LICENSE="LGPL-2.1-with-linking-exception"
+IUSE="examples"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~ppc ~x86-fbsd"
+
+RDEPEND=">=dev-libs/libpcre-4.5"
+DEPEND="${RDEPEND}
+ dev-ml/jbuilder
+ dev-ml/base
+ dev-ml/stdio
+ dev-ml/configurator
+"
+
+S="${WORKDIR}/pcre-${PV}"
+
+src_compile() {
+ jbuilder build @install || die
+}
+
+src_test() {
+ jbuilder runtest || die
+}
+
+src_install() {
+ opam_src_install pcre
+
+ if use examples ; then
+ insinto /usr/share/doc/${PF}
+ doins -r examples
+ fi
+}